File python-congressclient.spec of Package python-congressclient

#
# spec file for package python-congressclient
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname python-congressclient
Name:           python-congressclient
Version:        1.6.0
Release:        0
Summary:        Client library for Congress
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://launchpad.net/%{name}
Source0:        https://pypi.io/packages/source/p/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python-fixtures >= 3.0.0
BuildRequires:  python-jsonpatch >= 1.1
BuildRequires:  python-mock >= 2.0
BuildRequires:  python-osc-lib >= 1.2.0
BuildRequires:  python-oslo.log >= 3.11.0
BuildRequires:  python-oslo.serialization >= 1.10.0
BuildRequires:  python-oslo.utils >= 3.18.0
BuildRequires:  python-oslotest >= 1.10.0
BuildRequires:  python-pbr >= 1.8
BuildRequires:  python-python-subunit >= 0.0.18
BuildRequires:  python-requests-mock >= 1.1
BuildRequires:  python-setuptools >= 16.0
BuildRequires:  python-testrepository >= 0.0.18
BuildRequires:  python-testscenarios >= 0.4
BuildRequires:  python-testtools >= 1.4.0
Requires:       python-Babel >= 2.3.4
Requires:       python-cliff >= 2.3.0
Requires:       python-keystoneauth1 >= 2.17.0
Requires:       python-oslo.i18n >= 2.1.0
Requires:       python-oslo.log >= 3.11.0
Requires:       python-oslo.serialization >= 1.10.0
Requires:       python-oslo.utils >= 3.18.0
Requires:       python-pbr >= 1.8
Requires:       python-requests >= 2.10.0
Requires:       python-six >= 1.9.0
BuildArch:      noarch

%description
This package is client for Congress component.
Congress is an open policy framework for the cloud.
Congress fetches information about VMs from Nova,
and network state from Neutron, etc. Congress then
feeds input data from those services into its policy
engine where Congress verifies that the cloud's actual
state abides by the cloud operator's policies. Congress
is designed to work with any policy and any cloud service.

%package doc
Summary:        Documentation for OpenStack Congress API client libary
Group:          Documentation
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx >= 4.7.0
BuildRequires:  python-reno >= 1.8.0

%description doc
This package is client for Congress component.
Congress is an open policy framework for the cloud.
Congress fetches information about VMs from Nova,
and network state from Neutron, etc. Congress then
feeds input data from those services into its policy
engine where Congress verifies that the cloud's actual
state abides by the cloud operator's policies. Congress
is designed to work with any policy and any cloud service.
This package contains the documentation.

%prep
%autosetup -n %{name}-%{version}
%py_req_cleanup

%build
%{py2_build}

# Build HTML docs and man page
%{__python2} setup.py build_sphinx
rm -rf html/.{doctrees,buildinfo}

%install
%{py2_install}

%check
%{__python2} setup.py testr

%files
%doc README.rst
%license LICENSE
%{python2_sitelib}/congressclient
%{python2_sitelib}/*.egg-info

%files doc
%doc doc/build/html
%license LICENSE

%changelog